import { NgModule } from '@angular/core';
import { RouterModule, Route } from '@angular/router';
import { AuthComponent } from './components/auth/auth.component';
import { AuthTabEnum } from './enums/auth-tab.enum';

const routes: Route[] = [
    {
        path: AuthTabEnum.Login,
        component: AuthComponent,
    },
    {
        path: AuthTabEnum.Register,
        component: AuthComponent,
    },
    {
        path: AuthTabEnum.RestorePassword,
        component: AuthComponent,
    },

    {
        path: '**',
        redirectTo: 'login',
    },

];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AuthRoutingModule { }
